Skip to main content
POST
/
conversations
/
{conversation_id}
/
agent-runs
/
{run_id}
/
start
Start a durable agent run
curl --request POST \
  --url https://api.veryfront.com/conversations/{conversation_id}/agent-runs/{run_id}/start \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "messages": [
    {}
  ],
  "context": {
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "environment_context": "<string>"
  },
  "model": "<string>",
  "active_chat_id": "<string>",
  "allow_delegation": true,
  "forwarded_props": {},
  "runtime_overrides": {
    "allowed_tools": [
      "<string>"
    ],
    "thinking": false,
    "max_steps": 1
  }
}
'
{
  "accepted": true,
  "duplicate": true,
  "run": {
    "run_id": "<string>",
    "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "requested_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agent_id": "<string>",
    "status": "completed",
    "runtime_target_kind": "production",
    "latest_event_id": 1,
    "created_at": "<string>",
    "source_target_kind": "project",
    "source_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "source_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "parent_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "parent_run_id": "<string>",
    "spawned_from_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "spawned_from_tool_call_id": "<string>",
    "input_anchor_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "handoff_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "resolved_deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "waiting_tool_call_id": "<string>",
    "waiting_tool_name": "<string>",
    "terminal_error_code": "<string>",
    "terminal_error_message": "<string>",
    "started_at": "<string>",
    "finished_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Path Parameters

conversation_id
string<uuid>
required
run_id
string
required
Minimum string length: 1

Body

application/json
messages
object[]
required
context
object
required
model
string
active_chat_id
string
allow_delegation
boolean
forwarded_props
object
runtime_overrides
object
durable_root_run
object

Response

Run start accepted

accepted
boolean
required
duplicate
boolean
required
run
object
required